# SIPWorkItem Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPWorkItem:

[legend]
Collaboration diagram for SIPWorkItem:
[legend]

## Public Member Functions

| SIPWorkItem (SIPEndPoint &ep, const PString &token)
virtual void | Work ()=0
bool | GetTarget (PSafePtr< SIPTransaction > &transaction)
bool | GetTarget (PSafePtr< SIPConnection > &connection)
bool | GetTarget (PSafePtr< SIPHandler > &handler)

## Protected Attributes

SIPEndPoint & | m_endpoint
PString | m_token

## Constructor & Destructor Documentation

SIPWorkItem::SIPWorkItem | ( | SIPEndPoint & | ep,
|  | const PString & | token |
| ) |  |  |

## Member Function Documentation

bool SIPWorkItem::GetTarget | ( | PSafePtr< SIPHandler > & | handler | ) |

bool SIPWorkItem::GetTarget | ( | PSafePtr< SIPConnection > & | connection | ) |

bool SIPWorkItem::GetTarget | ( | PSafePtr< SIPTransaction > & | transaction | ) |

virtual void SIPWorkItem::Work | ( |  | ) | `[pure virtual]`

Implemented in SIPTimeoutWorkItem< Target_T >.

## Field Documentation

SIPEndPoint& SIPWorkItem::m_endpoint `[protected]`

PString SIPWorkItem::m_token `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h